/* File:      base.h
   Date:      5/05/03
   Author:    C. Paciorek
   Purpose:   general header info for Bayesian GP regression model
              has all the include files for the whole program
   Compile:   
   Usage:     
   Arguments: 
   Requires:  mat_pp.h,copy.h,generic_functions.h
   Reference: 
*/

#include <fstream.h>
#include <iostream.h>
#include <iomanip.h>
#include <time.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <strstream.h>
#include <string>
#include <iostream>
#include <math.h>
#include <stddef.h>
#include <unistd.h>
#include <ctime>

#include "mat_pp.h"  /* general storage code */
#include "copy.h"   /* templates for vector copying */
#include "generic_functions.h" /* just as it says */

/****************************************
*** Constants
****************************************/

const int ERROR=-9;

const int TRUE=1;
const int FALSE=0;

const int FIRST=1;
const int NOT_FIRST=0;

const int STATIONARY=0;
const int NON_STATIONARY=1;

const double PI=3.14159265358979323846;
const double PI_2=1.57079632679489661923;
const double TWO_PI=2*3.14159265358979323846;
const double SQRT2=sqrt(2);

const int ACCEPT=1;
const int REJECT=0;

/* indicate which parameter an object instantiation is */
const int FUN=0;
const int ETA=1;
const int FUN_COVAR_EIGVAL=2;
const int FUN_COVAR_EIGVEC=3;
const int NU=4;
const int KERNEL=5;

const int FIXED=1;
const int NOT_FIXED=0;

const int SIMPLE=0;
const int POSTMEAN=1;
const int NON_LANGEVIN=0;
const int LANGEVIN=1;

const int CURRENT=0;
const int FINAL=1;

const int OMEGA_NOREP=2;
const int OMEGA_REP=1;

const int GENERATE=0;
const int WRITE=1;
const int READ=2;

const int BURNIN=1;
const int NOT_BURNIN=0;






