/* File:      density.h
   Date:      12/31/01  (written fall 2001)
   Author:    C. Paciorek
   Purpose:   header file for density.C
*/

const double DENSITY_ERROR=99999.0;
const double NEG_INFTY=-99999.0;

/* These functions evaluate the log density of arg and return the value of the kernel of the density without evaluating the constant */

/* density for Givens angles given in Anderson et al. 1987 */
double cos_dens(double arg,double order,double garb);

/* beta(1,3) density on interval (low,up) rescaled to (0,1) */
double beta_dens(double arg,double low,double up);

double gamma_dens(double arg,double alpha,double beta);

double normal_dens(double arg,double mean, double sd);

/* mean zero */
double mvn_dens(int size,double* values,double sd);

double uniform_dens(double arg,double low,double up);
