/* File:      permtools.h
   Date:      1/02/02  (written fall 2001)
   Author:    C. Paciorek
   Purpose:   header file for permtools.C
*/

const int PERMSTART0=0;  /* C-style indexing */
const int PERMSTART1=1;  /* fortran-style indexing */

/* permstart indicates if the values in perm and invp are 0,...,N-1 or 1,...,N */

/* calculates inverse of permutation based on perm */
void invrse(int *n, int *perm, int *invp,int permstart);

/* permutes the vector rhs according to perm */
template<class T>
void permrv(int *n, T *rhs, int *perm, int permstart);

/* double version */
void permrv(int *n, double *rhs, int *perm, int permstart);
